%!TEX root=../../../thesis.tex
%!TEX file=content/stress-strain-dynamics/results/prediction.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{Stress-Strain Prediction}\label{sec:stress-strain:results:prediction}

The goal of a physically more prevalent stress-strain model in mind, we aim for predicting or anticipating the stress response of \Dyneema cables after having obtained a well-parametrized model.
From theory of linear time-invariant systems, we can infer that it suffices to obtain the system's response to a step-input; then performing estimation of the transfer of suitable order\textemdash in our case with~$\numpoles = \numzeros \in \numset{2;3;4}$ poles and zeros, respectively\textemdash yields a good approximation of the overall system dynamics.

Let us thus choose the elastic and viscous parameters obtained in~\cref{sec:stress-strain:results:estimation} and presented in~\cref{tbl:stress-strain:results:estimation:number-of-elements:mechanical-parameters}.
We choose to take the parameters averaged over all~$n_{\ms{trial}} = 10$ trials to obtain the multi-trial best-fit transfer function.

\begin{figure}[tbp]
  \centering
  \smaller[1]
  \tikzexternalenable%
  \tikzsetnextfilename{stress-strain--prediction--result-good}
  \includegraphics[%
      width=\linewidth,%
      axisratio=2.00,%
    ]{stress-strain/prediction/result-good}
  \tikzexternaldisable%
  \caption[%
      Validation results of stress-strain dynamics, varying force plateaus.
    ]{%
      Validation results of the stress-strain dynamics over a trajectory of cable force plateaus with varying flank times and plateau times using parameters from~\cref{tbl:stress-strain:results:estimation:number-of-elements:mechanical-parameters}.
      Cable material with~$n_{\msmaterial} = 4$ \gls{acr:MW} components yields an overall goodness of fit of~$\SI[round-mode=off]{92.3}{\percent}$ with noticeable deviation during the first two plateaus; yet all models drastically error after the last relaxation where the predicted cable force becomes negative whereas experimentally obtained cable force stays positive.
    }
  \label{fig:stress-strain:results:prediction:results-good}
\end{figure}

The cable model with only one \gls{acr:MW} component \textIe~$n_{\msmaterial} = 2$ again yields only a good first-order approximation of the overall stress-strain dynamics covering qualitatively the cable's stress relaxation.
Adding a second \gls{acr:MW} in parallel to the material allows to better cover the instantaneous stress relaxation after strain is kept constant, yet only a three-\gls{acr:MW} model~($n_{\msmaterial} = 4$) reduces the error of the instantaneous stress relaxation.
In addition, with three separate relaxation elements represented by three \gls{acr:MW}, short, medium, and long-term stress relaxation can be covered well, as anticipated by the validation experiment.
